from parallels.core.utils.entity import Entity


class ApsResource(Entity):
    def __init__(self, aps_resource_id, plesk_id, plesk_type):
        self._aps_resource_id = aps_resource_id
        self._plesk_id = plesk_id
        self._plesk_type = plesk_type

    @property
    def aps_resource_id(self):
        """
        :rtype: str | unicode
        """
        return self._aps_resource_id

    @property
    def plesk_id(self):
        """
        :rtype: str | unicode
        """
        return self._plesk_id

    @property
    def plesk_type(self):
        """
        :rtype: str | unicode
        """
        return self._plesk_type
